import Item from "@/components/Top-Level/Item/Item";
import styles from "./list.module.css";
import { ItemMethods, TodoListItems } from "@/Types/todoTypes";
interface ListItemProps extends ItemMethods {
    data: TodoListItems[];
}
const ListItem: React.FC<ListItemProps> = ({ data, updateTask, onDelete }) => {
    return (
        <div className={styles.list}>
            {
                data.map((item) => {
                    return (
                        <Item
                            key={item.id}
                            {...item}
                            updateTask={updateTask}
                            onDelete={onDelete}
                        />
                    )
                })
            }
        </div>);
}

export default ListItem;